"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _grid = _interopRequireDefault(require("senswap-ui/grid"));

var _carousel = require("./carousel");

var _styles = _interopRequireDefault(require("./styles"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr && (typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]); if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function Carousel(props) {
  var classes = (0, _styles.default)();

  var _useState = (0, _react.useState)(0),
      _useState2 = _slicedToArray(_useState, 2),
      activeIndex = _useState2[0],
      setActiveIndex = _useState2[1];

  var _useState3 = (0, _react.useState)(0),
      _useState4 = _slicedToArray(_useState3, 2),
      oldIndex = _useState4[0],
      setOldIndex = _useState4[1];

  var data = props.data,
      enableArrowButton = props.enableArrowButton,
      auto = props.auto,
      userDuration = props.durations,
      animation = props.animation,
      onClick = props.onClick;
  var defaultDuration = (0, _react.useCallback)(function () {
    var duration = null;
    if (typeof userDuration === 'number') duration = userDuration;else if (userDuration && userDuration.endsWith('ms')) duration = Number(userDuration.slice(0, userDuration.length - 2));else if (userDuration && userDuration.endsWith('s')) duration = Number(userDuration.slice(0, userDuration.length - 1)) * 1000;else duration = Number(userDuration) || null;
    if (duration && duration >= 500) return duration;else return 3000;
  }, [userDuration]);

  function goToPrevSlide() {
    var index = activeIndex;
    if (index < 1) index = data.length;
    return setActiveIndex(--index);
  }

  function goToNextSlide() {
    var index = activeIndex;
    if (index === data.length - 1) index = -1;
    return setActiveIndex(++index);
  }

  function goToSlide(index) {
    setOldIndex(activeIndex);
    return setActiveIndex(index);
  }

  (0, _react.useEffect)(function () {
    var intervalId = null;
    if (auto) intervalId = setInterval(function () {
      var index = activeIndex;
      if (index === data.length - 1) index = -1;
      setActiveIndex(++index);
    }, defaultDuration());
    return function () {
      clearInterval(intervalId);
    };
  }, [activeIndex, auto, data.length, defaultDuration]);
  return /*#__PURE__*/_react.default.createElement(_grid.default, {
    container: true,
    spacing: 0
  }, /*#__PURE__*/_react.default.createElement(_grid.default, {
    item: true,
    className: classes.carousel,
    xs: 12
  }, /*#__PURE__*/_react.default.createElement(_grid.default, {
    container: true,
    className: "carousel",
    spacing: 0
  }, enableArrowButton ? /*#__PURE__*/_react.default.createElement(_carousel.CarouselLeftArrow, {
    onClick: goToPrevSlide
  }) : null, /*#__PURE__*/_react.default.createElement(_grid.default, {
    item: true,
    component: "ul",
    xs: 12,
    className: "carousel-slides"
  }, data.map(function (slide, index) {
    return /*#__PURE__*/_react.default.createElement(_carousel.CarouselSlide, {
      key: index,
      index: index,
      activeIndex: activeIndex,
      oldIndex: oldIndex,
      slide: slide,
      animation: animation,
      onClick: onClick
    });
  })), enableArrowButton ? /*#__PURE__*/_react.default.createElement(_carousel.CarouselRightArrow, {
    onClick: goToNextSlide
  }) : null, data.length > 1 ? /*#__PURE__*/_react.default.createElement(_grid.default, {
    item: true,
    xs: 12
  }, /*#__PURE__*/_react.default.createElement(_grid.default, {
    container: true,
    className: "carousel-indicators",
    component: "ul"
  }, data.map(function (_, index) {
    return /*#__PURE__*/_react.default.createElement(_carousel.CarouselIndicator, {
      key: index,
      index: index,
      activeIndex: activeIndex,
      isActive: activeIndex === index,
      onClick: function onClick(e) {
        return goToSlide(index);
      }
    });
  }))) : null)));
}

Carousel.defaultProps = {
  data: [],
  enableArrowButton: false,
  onClick: function onClick() {},
  auto: false,
  duration: null,
  animation: ''
};
Carousel.propsType = {
  data: _propTypes.default.arrayOf(_propTypes.default.object),
  enableArrowButton: _propTypes.default.bool,
  onClick: _propTypes.default.func,
  auto: _propTypes.default.bool,
  duration: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.number]),
  animation: _propTypes.default.string
};
var _default = Carousel;
exports.default = _default;