"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DialogTitle = exports.DialogContentText = exports.DialogContent = exports.DialogActions = exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _styles = require("@material-ui/styles");

var _Dialog = _interopRequireDefault(require("@material-ui/core/Dialog"));

var _DialogActions = _interopRequireDefault(require("@material-ui/core/DialogActions"));

var _DialogContent = _interopRequireDefault(require("@material-ui/core/DialogContent"));

var _DialogContentText = _interopRequireDefault(require("@material-ui/core/DialogContentText"));

var _DialogTitle = _interopRequireDefault(require("@material-ui/core/DialogTitle"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var useStyles = (0, _styles.makeStyles)(function (theme) {
  return {
    dialog: {
      borderRadius: theme.shape.borderRadius * 2
    }
  };
});

var Dialog = function Dialog(props) {
  var classes = useStyles();

  var userClasses = props.classes,
      others = _objectWithoutProperties(props, ["classes"]);

  var combinedClasses = _objectSpread({
    paper: classes.dialog
  }, userClasses || {});

  return /*#__PURE__*/_react.default.createElement(_Dialog.default, _extends({
    classes: combinedClasses
  }, others));
};

var _default = Dialog;
exports.default = _default;

var DialogActions = function DialogActions(props) {
  return /*#__PURE__*/_react.default.createElement(_DialogActions.default, props);
};

exports.DialogActions = DialogActions;

var DialogContent = function DialogContent(props) {
  return /*#__PURE__*/_react.default.createElement(_DialogContent.default, props);
};

exports.DialogContent = DialogContent;

var DialogContentText = function DialogContentText(props) {
  return /*#__PURE__*/_react.default.createElement(_DialogContentText.default, props);
};

exports.DialogContentText = DialogContentText;

var DialogTitle = function DialogTitle(props) {
  return /*#__PURE__*/_react.default.createElement(_DialogTitle.default, props);
};

exports.DialogTitle = DialogTitle;