"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _core = require("@material-ui/core");

var _grid = _interopRequireDefault(require("senswap-ui/grid"));

var _avatar = _interopRequireDefault(require("senswap-ui/avatar"));

var _typography = _interopRequireDefault(require("senswap-ui/typography"));

var _styles = _interopRequireDefault(require("./styles"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr && (typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]); if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function Form(props) {
  var classes = (0, _styles.default)();

  var _useState = (0, _react.useState)(''),
      _useState2 = _slicedToArray(_useState, 2),
      fromValue = _useState2[0],
      setFromValue = _useState2[1];

  var _useState3 = (0, _react.useState)(''),
      _useState4 = _slicedToArray(_useState3, 2),
      toValue = _useState4[0],
      setToValue = _useState4[1];

  var _useState5 = (0, _react.useState)(0),
      _useState6 = _slicedToArray(_useState5, 2),
      inputFrom = _useState6[0],
      setInputFrom = _useState6[1];

  var _useState7 = (0, _react.useState)(0),
      _useState8 = _slicedToArray(_useState7, 2),
      inputTo = _useState8[0],
      setInputTo = _useState8[1];

  var amount = props.amount,
      fromItems = props.fromItems,
      toItems = props.toItems,
      onConnectWallet = props.onConnectWallet;

  function handleFromSelect(e) {
    var data = e.target.value;
    setFromValue(data);
  }

  function handleToSelect(e) {
    var data = e.target.value;
    setToValue(data);
  }

  function handleConnectWallet() {
    var data = {
      amout: amount,
      from: fromValue.label,
      to: toValue.label,
      currency: inputFrom,
      toCurrency: inputTo
    };
    return onConnectWallet(data);
  }

  function handleInputFrom(e) {
    var data = e.target.value;
    var result = 0;
    setInputFrom(data);

    if (toValue.rate) {
      result = Number(data) * Number(toValue.rate);
    }

    setInputTo(result);
  }

  var optionsFrom = fromItems.map(function (e, idx) {
    return /*#__PURE__*/_react.default.createElement(_core.MenuItem, {
      value: e,
      key: idx
    }, /*#__PURE__*/_react.default.createElement(_avatar.default, {
      size: "xsmall",
      src: e.src
    }), e.label);
  });
  var optionsTo = toItems.map(function (e, idx) {
    return /*#__PURE__*/_react.default.createElement(_core.MenuItem, {
      value: e,
      key: idx
    }, /*#__PURE__*/_react.default.createElement(_avatar.default, {
      size: "xsmall",
      src: e.src
    }), e.label);
  });

  var renderOption = function renderOption(e) {
    return /*#__PURE__*/_react.default.createElement(_core.MenuItem, {
      className: classes.renderOption,
      spacing: 2
    }, /*#__PURE__*/_react.default.createElement(_avatar.default, {
      size: "xsmall",
      src: e.src
    }), e.label);
  };

  return /*#__PURE__*/_react.default.createElement(_grid.default, {
    container: true,
    spacing: 0
  }, /*#__PURE__*/_react.default.createElement(_grid.default, {
    item: true,
    xs: 12,
    className: classes.form
  }, /*#__PURE__*/_react.default.createElement(_grid.default, {
    container: true,
    className: classes.formFrom,
    spacing: 0
  }, /*#__PURE__*/_react.default.createElement(_grid.default, {
    item: true,
    xs: 12,
    className: classes.title
  }, /*#__PURE__*/_react.default.createElement(_typography.default, {
    variant: "body2"
  }, "From")), /*#__PURE__*/_react.default.createElement(_grid.default, {
    item: true,
    xs: 12,
    className: classes.inputForm
  }, /*#__PURE__*/_react.default.createElement(_core.Select, {
    variant: "standard",
    value: fromValue,
    onChange: handleFromSelect,
    renderValue: function renderValue(value) {
      return renderOption(value);
    }
  }, optionsFrom), /*#__PURE__*/_react.default.createElement(_core.TextField, {
    placeholder: "0",
    value: inputFrom,
    onChange: handleInputFrom
  })), /*#__PURE__*/_react.default.createElement(_grid.default, {
    item: true,
    xs: 12,
    className: classes.amount
  }, /*#__PURE__*/_react.default.createElement(_typography.default, {
    variant: "body2"
  }, "Available: ", amount), /*#__PURE__*/_react.default.createElement(_typography.default, {
    variant: "body2"
  }, "Price: $", fromValue.price, "/", fromValue.label))), /*#__PURE__*/_react.default.createElement(_grid.default, {
    container: true,
    spacing: 0
  }, /*#__PURE__*/_react.default.createElement(_grid.default, {
    item: true,
    xs: 12,
    className: classes.title
  }, /*#__PURE__*/_react.default.createElement(_typography.default, {
    variant: "body2"
  }, "To")), /*#__PURE__*/_react.default.createElement(_grid.default, {
    item: true,
    xs: 12,
    className: classes.inputForm
  }, /*#__PURE__*/_react.default.createElement(_core.Select, {
    variant: "standard",
    value: toValue,
    onChange: handleToSelect,
    renderValue: function renderValue(value) {
      return renderOption(value);
    }
  }, optionsTo), /*#__PURE__*/_react.default.createElement(_core.TextField, {
    placeholder: "0",
    disabled: true,
    value: inputTo
  })), /*#__PURE__*/_react.default.createElement(_grid.default, {
    item: true,
    xs: 12,
    className: classes.amount
  }, /*#__PURE__*/_react.default.createElement(_typography.default, {
    variant: "body2"
  }, "Available: ", amount))), /*#__PURE__*/_react.default.createElement(_grid.default, {
    container: true,
    spacing: 0
  }, /*#__PURE__*/_react.default.createElement(_grid.default, {
    item: true,
    className: classes.button
  }, /*#__PURE__*/_react.default.createElement(_core.Button, {
    variant: "contained",
    color: "primary",
    onClick: handleConnectWallet
  }, /*#__PURE__*/_react.default.createElement(_typography.default, null, "Connect wallet"))))));
}

Form.propsType = {
  fromItems: _propTypes.default.array,
  to: _propTypes.default.array,
  onConnectWallet: _propTypes.default.func,
  amount: _propTypes.default.number
};
Form.defaultProps = {
  fromItems: [{
    label: 'From 1',
    key: 'from_1',
    price: 1.555
  }, {
    label: 'From 2',
    key: 'from_2',
    price: 0.955
  }, {
    label: 'From 3',
    key: 'from_3',
    price: 4.555
  }],
  toItems: [{
    label: 'To 1',
    key: 'to_1',
    rate: 0.212
  }, {
    label: 'To 2',
    key: 'to_2',
    rate: 0.421
  }, {
    label: 'To 3',
    key: 'to_3',
    rate: 0.897
  }],
  onConnectWallet: function onConnectWallet() {},
  amount: 0
};
var _default = Form;
exports.default = _default;