"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactRouterDom = require("react-router-dom");

var _Link = _interopRequireDefault(require("@material-ui/core/Link"));

var _styles = require("senswap-ui/styles");

var _typography = _interopRequireDefault(require("senswap-ui/typography"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var useStyles = (0, _styles.makeStyles)(function (theme) {
  return {
    link: {
      textDecoration: 'none'
    }
  };
});

function Link(props) {
  var classes = useStyles();

  var children = props.children,
      to = props.to,
      href = props.href,
      userClassName = props.className,
      others = _objectWithoutProperties(props, ["children", "to", "href", "className"]);

  var combinedClassName = "".concat(classes.link, " ").concat(userClassName);
  if (href) return /*#__PURE__*/_react.default.createElement(_typography.default, _extends({
    component: _Link.default,
    href: href,
    className: combinedClassName,
    target: "_blank",
    rel: "noopener noreferrer"
  }, others), children);
  return /*#__PURE__*/_react.default.createElement(_typography.default, _extends({
    component: _reactRouterDom.Link,
    to: to,
    className: combinedClassName
  }, others), children);
}

Link.defaultProps = {
  children: '',
  to: '#'
};
Link.propTypes = {
  children: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.object]),
  to: _propTypes.default.string,
  href: _propTypes.default.string
};
var _default = Link;
exports.default = _default;