"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Avatar = _interopRequireDefault(require("@material-ui/core/Avatar"));

var _styles = require("./styles");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Theme dependence
var useStyles = (0, _styles.makeStyles)(function (theme) {
  return {
    root: {
      display: 'flex',
      '& > *': {
        margin: theme.spacing(1)
      }
    },
    tiny: {
      width: '24px',
      height: '24px'
    },
    small: {
      width: '32px',
      height: '32px'
    },
    medium: {
      width: '40px',
      height: '40px'
    },
    default: {
      width: '48px',
      height: '48px'
    },
    large: {
      width: '60px',
      height: '60px'
    }
  };
});

function Logo(props) {
  var styleClasses = useStyles();
  var alt = props.alt,
      src = props.src,
      variant = props.variant,
      logoSize = props.logoSize;
  return /*#__PURE__*/_react.default.createElement(_Avatar.default, {
    alt: alt,
    src: src,
    variant: variant,
    className: logoSize ? styleClasses[logoSize] : styleClasses.default
  });
}

Logo.defaultProps = {
  src: '',
  variant: 'circular'
};
Logo.propTypes = {
  src: _propTypes.default.string,
  variant: _propTypes.default.string
};
var _default = Logo;
exports.default = _default;