"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _styles = require("@material-ui/core/styles");

var _default = (0, _styles.makeStyles)(function (theme) {
  return {
    noWrap: {
      flexWrap: 'nowrap'
    },
    stretch: {
      flex: '1 1 auto'
    },
    table: {
      backgroundColor: 'transparent',
      borderCollapse: 'separate'
    },
    row: {
      backgroundColor: theme.palette.background.paper,
      '&:nth-of-type(odd)': {
        backgroundColor: theme.palette.secondary.main
      },
      '& > *:first-child': {
        borderTopLeftRadius: theme.shape.borderRadius,
        borderBottomLeftRadius: theme.shape.borderRadius
      },
      '& > *:last-child': {
        borderTopRightRadius: theme.shape.borderRadius,
        borderBottomRightRadius: theme.shape.borderRadius
      }
    },
    cell: {
      border: 'none'
    },
    cellHead: {
      paddingTop: theme.spacing(1),
      paddingBottom: theme.spacing(1),
      backgroundColor: theme.palette.background.paper,
      border: 'none'
    }
  };
});

exports.default = _default;