"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _styles = require("senswap-ui/styles");

var _grid = _interopRequireDefault(require("senswap-ui/grid"));

var _InputBase = _interopRequireDefault(require("@material-ui/core/InputBase"));

var _TextField = _interopRequireDefault(require("@material-ui/core/TextField"));

var _Paper = _interopRequireDefault(require("@material-ui/core/Paper"));

var _core = require("@material-ui/core");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var useStyles = (0, _styles.makeStyles)(function (theme) {
  return {
    noWrap: {
      flexWrap: 'nowrap'
    },
    stretch: {
      flex: '1 1 auto'
    },
    paper: {
      padding: theme.spacing(1),
      borderRadius: theme.shape.borderRadius / 2,
      backgroundColor: theme.palette.background.secondary
    }
  };
});
var TextFieldContained = /*#__PURE__*/(0, _react.forwardRef)(function (props, ref) {
  var classes = useStyles();

  var label = props.label,
      InputProps = props.InputProps,
      error = props.error,
      helperText = props.helperText,
      helperTextPrimary = props.helperTextPrimary,
      helperTextSecondary = props.helperTextSecondary,
      others = _objectWithoutProperties(props, ["label", "InputProps", "error", "helperText", "helperTextPrimary", "helperTextSecondary"]);

  var _ref = InputProps || {},
      startAdornment = _ref.startAdornment,
      endAdornment = _ref.endAdornment;

  var renderPrimaryText = function renderPrimaryText() {
    if (error) return /*#__PURE__*/_react.default.createElement(_grid.default, {
      item: true,
      xs: 6
    }, /*#__PURE__*/_react.default.createElement(_core.Typography, {
      variant: "body2",
      color: "error"
    }, error));
    if (helperText) return /*#__PURE__*/_react.default.createElement(_grid.default, {
      item: true,
      xs: 6
    }, /*#__PURE__*/_react.default.createElement(_core.Typography, {
      variant: "body2"
    }, helperText));
    if (helperTextPrimary) return /*#__PURE__*/_react.default.createElement(_grid.default, {
      item: true,
      xs: 6
    }, /*#__PURE__*/_react.default.createElement(_core.Typography, {
      variant: "body2"
    }, helperTextPrimary));
    return null;
  };

  var renderSecondaryText = function renderSecondaryText() {
    if (helperTextSecondary) return /*#__PURE__*/_react.default.createElement(_grid.default, {
      item: true,
      xs: error || helperText || helperTextPrimary ? 6 : 12
    }, /*#__PURE__*/_react.default.createElement(_core.Typography, {
      variant: "body2",
      align: "right"
    }, helperTextSecondary));
    return null;
  };

  return /*#__PURE__*/_react.default.createElement(_grid.default, {
    container: true,
    spacing: 1
  }, label ? /*#__PURE__*/_react.default.createElement(_grid.default, {
    item: true,
    xs: 12
  }, /*#__PURE__*/_react.default.createElement(_core.Typography, {
    variant: "body2"
  }, /*#__PURE__*/_react.default.createElement("strong", null, label))) : null, /*#__PURE__*/_react.default.createElement(_grid.default, {
    item: true,
    xs: 12
  }, /*#__PURE__*/_react.default.createElement(_Paper.default, {
    className: classes.paper
  }, /*#__PURE__*/_react.default.createElement(_grid.default, {
    container: true,
    className: classes.noWrap,
    alignItems: "center"
  }, startAdornment ? /*#__PURE__*/_react.default.createElement(_grid.default, {
    item: true
  }, startAdornment) : null, /*#__PURE__*/_react.default.createElement(_grid.default, {
    item: true,
    className: classes.stretch
  }, /*#__PURE__*/_react.default.createElement(_InputBase.default, _extends({}, others, {
    ref: ref,
    fullWidth: true
  }))), endAdornment ? /*#__PURE__*/_react.default.createElement(_grid.default, {
    item: true
  }, endAdornment) : null))), renderPrimaryText(), renderSecondaryText());
});
var TextField = /*#__PURE__*/(0, _react.forwardRef)(function (props, ref) {
  var variant = props.variant,
      others = _objectWithoutProperties(props, ["variant"]);

  if (variant === 'contained') return /*#__PURE__*/_react.default.createElement(TextFieldContained, _extends({}, others, {
    ref: ref
  }));
  return /*#__PURE__*/_react.default.createElement(_TextField.default, _extends({
    variant: variant
  }, others, {
    ref: ref
  }));
});
var _default = TextField;
exports.default = _default;