"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Checkbox = _interopRequireDefault(require("@material-ui/core/Checkbox"));

var _icons = require("./icons");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function Favorite(props) {
  var checked = props.checked,
      onChange = props.onChange,
      color = props.color,
      userClasses = props.classes,
      others = _objectWithoutProperties(props, ["checked", "onChange", "color", "classes"]);

  var onChecked = function onChecked(e) {
    return onChange(e.target.checked);
  }; // Icon color props accept hex color whereas checkbox
  // does not, so we have to check which kind of color
  // is passed into favorite


  var iconStyle = undefined;
  var style = {
    color: color
  };
  color !== null && color !== void 0 && color.startsWith('#') ? iconStyle = {
    style: style
  } : iconStyle = style;
  return /*#__PURE__*/_react.default.createElement(_Checkbox.default, _extends({
    icon: /*#__PURE__*/_react.default.createElement(_icons.StarOutlineRounded, null),
    checkedIcon: /*#__PURE__*/_react.default.createElement(_icons.StarRounded, iconStyle),
    checked: checked,
    onChange: onChecked,
    classes: userClasses
  }, others));
}

Favorite.defaultProps = {
  checked: false,
  onChange: function onChange() {},
  color: '#FBD40B'
};
Favorite.propTypes = {
  checked: _propTypes.default.bool,
  onChange: _propTypes.default.func,
  color: _propTypes.default.string
};
var _default = Favorite;
exports.default = _default;