"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Divider = _interopRequireDefault(require("@material-ui/core/Divider"));

var _grid = _interopRequireDefault(require("senswap-ui/grid"));

var _drain = _interopRequireDefault(require("senswap-ui/drain"));

var _typography = _interopRequireDefault(require("senswap-ui/typography"));

var _list = _interopRequireWildcard(require("senswap-ui/list"));

var _styles = require("./styles");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var useStyles = (0, _styles.makeStyles)(function (theme) {
  return {
    root: {
      width: '100%',
      maxWidth: '36ch',
      backgroundColor: theme.palette.background.paper
    },
    Complete: {
      color: '#4FBF67'
    },
    Pending: {
      color: '#ffae1a'
    },
    Cancel: {
      color: '#ff6060'
    }
  };
});
var ACTION = {
  withdraw: 'Withdraw',
  deposit: 'Deposit'
};
var dateFormat = {
  year: 'numeric',
  month: 'short',
  day: 'numeric'
};

var ListItemHistory = function ListItemHistory(props) {
  var classes = useStyles();

  var variant = props.variant,
      status = props.status,
      amount = props.amount,
      units = props.units,
      others = _objectWithoutProperties(props, ["variant", "status", "amount", "units"]); // const date = props?.date === 0 ? Date.now() : props.date;


  return /*#__PURE__*/_react.default.createElement(_list.default, {
    className: classes.root
  }, /*#__PURE__*/_react.default.createElement(_list.ListItem, _extends({
    alignItems: "flex-start"
  }, others)), /*#__PURE__*/_react.default.createElement(_Divider.default, {
    variant: "inset",
    component: "li"
  }));
};

ListItemHistory.defaultProps = {
  variant: '',
  status: '',
  date: Date.now(),
  amount: 0.0,
  units: ''
};
ListItemHistory.propTypes = {
  variant: _propTypes.default.oneOf(Object.keys(ACTION)),
  status: _propTypes.default.string,
  // PropTypes.oneOf(['Complete', 'Pending', 'Cancel'])
  date: _propTypes.default.number,
  amount: _propTypes.default.number,
  units: _propTypes.default.string
};
var _default = ListItemHistory;
exports.default = _default;