"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _grid = _interopRequireDefault(require("senswap-ui/grid"));

var _typography = _interopRequireDefault(require("senswap-ui/typography"));

var _button = _interopRequireDefault(require("senswap-ui/button"));

var _lab = require("@material-ui/lab");

var _icons = require("senswap-ui/icons");

var _styles = _interopRequireDefault(require("./styles"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function Pagination(props) {
  var classes = (0, _styles.default)();
  var count = props.count,
      page = props.page,
      onChange = props.onChange;

  var _usePagination = (0, _lab.usePagination)({
    count: count,
    page: page + 1,
    boundaryCount: 1,
    siblingCount: 0
  }),
      items = _usePagination.items;

  return /*#__PURE__*/_react.default.createElement(_grid.default, {
    container: true,
    spacing: 0
  }, /*#__PURE__*/_react.default.createElement(_grid.default, {
    item: true,
    xs: 12,
    md: 12
  }, /*#__PURE__*/_react.default.createElement(_grid.default, {
    component: "nav",
    className: classes.pagination
  }, /*#__PURE__*/_react.default.createElement(_grid.default, {
    component: "ul"
  }, items.map(function (_ref, index) {
    var page = _ref.page,
        type = _ref.type,
        selected = _ref.selected,
        others = _objectWithoutProperties(_ref, ["page", "type", "selected"]);

    others.onClick = function () {
      return onChange(page - 1);
    }; // Including page 0


    if (type === 'start-ellipsis' || type === 'end-ellipsis') return /*#__PURE__*/_react.default.createElement(_grid.default, {
      component: "li",
      key: index
    }, /*#__PURE__*/_react.default.createElement(_typography.default, {
      className: "dots"
    }, "\u2026"));
    if (type === 'page') return /*#__PURE__*/_react.default.createElement(_grid.default, {
      component: "li",
      key: index
    }, /*#__PURE__*/_react.default.createElement(_button.default, _extends({
      variant: selected ? 'contained' : 'outlined',
      color: selected ? 'primary' : 'default',
      classes: {
        root: classes.button
      }
    }, others), /*#__PURE__*/_react.default.createElement(_typography.default, null, page)));
    return /*#__PURE__*/_react.default.createElement(_grid.default, {
      component: "li",
      key: index
    }, /*#__PURE__*/_react.default.createElement(_button.default, _extends({
      variant: "outlined",
      classes: {
        root: classes.button
      }
    }, others), type === 'next' ? /*#__PURE__*/_react.default.createElement(_icons.ArrowForwardRounded, null) : /*#__PURE__*/_react.default.createElement(_icons.ArrowBackRounded, null)));
  })))));
}

Pagination.defaultProps = {
  count: 0,
  page: 1,
  onChange: function onChange() {}
};
Pagination.propTypes = {
  count: _propTypes.default.number,
  page: _propTypes.default.number,
  onChange: _propTypes.default.func
};
var _default = Pagination;
exports.default = _default;