"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TableRow = exports.TableHead = exports.TableContainer = exports.TableCell = exports.TableBody = exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _Table = _interopRequireDefault(require("@material-ui/core/Table"));

var _TableBody = _interopRequireDefault(require("@material-ui/core/TableBody"));

var _TableCell = _interopRequireDefault(require("@material-ui/core/TableCell"));

var _TableContainer = _interopRequireDefault(require("@material-ui/core/TableContainer"));

var _TableHead = _interopRequireDefault(require("@material-ui/core/TableHead"));

var _TableRow = _interopRequireDefault(require("@material-ui/core/TableRow"));

var _styles = _interopRequireDefault(require("./styles"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var Table = /*#__PURE__*/(0, _react.forwardRef)(function (props, ref) {
  var classes = (0, _styles.default)();

  var userClasses = props.classes,
      others = _objectWithoutProperties(props, ["classes"]);

  var defaultClasses = {
    root: classes.table
  };

  var combinedClasses = _objectSpread(_objectSpread({}, defaultClasses), userClasses);

  return /*#__PURE__*/_react.default.createElement(_Table.default, _extends({
    classes: combinedClasses
  }, others, {
    ref: ref
  }));
});
var _default = Table;
exports.default = _default;
var TableBody = /*#__PURE__*/(0, _react.forwardRef)(function (props, ref) {
  return /*#__PURE__*/_react.default.createElement(_TableBody.default, _extends({}, props, {
    ref: ref
  }));
});
exports.TableBody = TableBody;
var TableCell = /*#__PURE__*/(0, _react.forwardRef)(function (props, ref) {
  var classes = (0, _styles.default)();

  var userClasses = props.classes,
      others = _objectWithoutProperties(props, ["classes"]);

  var defaultClasses = {
    root: classes.cell,
    head: classes.cellHead
  };

  var combinedClasses = _objectSpread(_objectSpread({}, defaultClasses), userClasses);

  return /*#__PURE__*/_react.default.createElement(_TableCell.default, _extends({
    classes: combinedClasses
  }, others, {
    ref: ref
  }));
});
exports.TableCell = TableCell;
var TableContainer = /*#__PURE__*/(0, _react.forwardRef)(function (props, ref) {
  return /*#__PURE__*/_react.default.createElement(_TableContainer.default, _extends({}, props, {
    ref: ref
  }));
});
exports.TableContainer = TableContainer;
var TableHead = /*#__PURE__*/(0, _react.forwardRef)(function (props, ref) {
  return /*#__PURE__*/_react.default.createElement(_TableHead.default, _extends({}, props, {
    ref: ref
  }));
});
exports.TableHead = TableHead;
var TableRow = /*#__PURE__*/(0, _react.forwardRef)(function (props, ref) {
  var classes = (0, _styles.default)();

  var userClasses = props.classes,
      others = _objectWithoutProperties(props, ["classes"]);

  var defaultClasses = {
    root: classes.row
  };

  var combinedClasses = _objectSpread(_objectSpread({}, defaultClasses), userClasses);

  return /*#__PURE__*/_react.default.createElement(_TableRow.default, _extends({
    classes: combinedClasses
  }, others, {
    ref: ref
  }));
});
exports.TableRow = TableRow;